Initialize a multipart uploadCopy Pagepost https://api.sbgenomics.com/v2/upload/multipartThis call initializes a multipart file upload.Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Query ParamsoverwritebooleanIf overwrite is set to true and a file already exists under the name specified in the request, the existing file will be deleted and a new one created in its place.Body ParamsprojectstringThe name of the project you want to upload a file to, in the (<username>/<project-name>) format.parentstringThe ID of the folder to which the item is being uploaded. Should not be used together with project. If parent is used, the upload will take place into the specified folder, within the project to which the folder belongs. If project is used, the items will be imported to the root of the project's files.namestringrequiredThe name of the file you are about to upload. This must be unique in the project, unless you are also enabling the overwrite query parameter. Allowed characters in file names are all alphanumerics and special characters except slash (/). File names can’t be longer than 255 characters.sizeint32The size of the file that will be uploaded. This can be used to track progress of an ongoing upload, but is otherwise optional.part_sizeint32The preferred size for upload parts. If omitted or set to a value that is incompatible with the cloud storage provider, a default value will be used.md5string32-byte hexadecimal MD5 checksum of the file. This value is currently only stored but is not used by the Platform.HeadersX-SBG-Auth_TokenstringrequiredYour Seven Bridges Platform authentication token. For security reasons, token will not be automatically populated in the generated code sample. Please replace <your-token-here> with your token before executing this call.Response 200200Updated 6 months ago